Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.introspection
Class Sandbox.Permissions

    java.lang.Object
      org.apache.commons.jexl2.introspection.Sandbox.Permissions

Enclosing class:
  Sandbox

    public static final class Sandbox.Permissions

extends Object

Contains the white or black lists for properties and methods for a given class.

Method Summary
`Sandbox.Names` | `execute()` Gets the set of method names in these permissions.
`Sandbox.Permissions` | `execute(String... mnames)` Adds a list of executable methods names to these permissions.
`Sandbox.Names` | `read()` Gets the set of readable property names in these permissions.
`Sandbox.Permissions` | `read(String... pnames)` Adds a list of readable property names to these permissions.
`Sandbox.Names` | `write()` Gets the set of writeable property names in these permissions.
`Sandbox.Permissions` | `write(String... pnames)` Adds a list of writeable property names to these permissions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### read

    public Sandbox.Permissions read(String... pnames)

  Adds a list of readable property names to these permissions.

  Parameters:
    `pnames` - the property names
  Returns:
    this instance of permissions

### write

    public Sandbox.Permissions write(String... pnames)

  Adds a list of writeable property names to these permissions.

  Parameters:
    `pnames` - the property names
  Returns:
    this instance of permissions

### execute

    public Sandbox.Permissions execute(String... mnames)

  Adds a list of executable methods names to these permissions.

  The constructor is denoted as the empty-string, all other methods by their names.

  Parameters:
    `mnames` - the method names
  Returns:
    this instance of permissions

### read

    public Sandbox.Names read()

  Gets the set of readable property names in these permissions.

  Returns:
    the set of property names

### write

    public Sandbox.Names write()

  Gets the set of writeable property names in these permissions.

  Returns:
    the set of property names

### execute

    public Sandbox.Names execute()

  Gets the set of method names in these permissions.

  Returns:
    the set of method names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.